## clhep 2.1.2.2

=== CMakeLists.txt ===
#------------------------------------------------------------------------------
# Top Level CMakeLists.txt for CLHEP
#  cmake [-DCMAKE_INSTALL_PREFIX=/install/path] 
#        [-DCMAKE_BUILD_TYPE=Debug|Release|RelWithDebInfo|MinSizeRel]
#        [-DCMAKE_C_COMPILER=...] [-DCMAKE_CXX_COMPILER=...]
#        [-DCLHEP_BUILD_DOCS=ON] 
#        /path/to/source
#  make
#  make test
#  make install
#
# mac i386:   -DCMAKE_CXX_FLAGS="-m32" -DCMAKE_OSX_ARCHITECTURES="i386"
# mac x86_64: -DCMAKE_CXX_FLAGS="-m64" -DCMAKE_OSX_ARCHITECTURES="x86_64"
#
# The default CLHEP build type is CMAKE_BUILD_TYPE=RelWithDebInfo,
# which matches the default CLHEP autoconf flags
#------------------------------------------------------------------------------

# Ensure out of source build before anything else
include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules/ClhepOutOfSourceBuild.cmake)
clhep_ensure_out_of_source_build()

# use cmake 2.6 or later
cmake_minimum_required(VERSION 2.6)

# project name
project(CLHEP)
set( VERSION 2.1.2.2 )

set(CMAKE_MODULE_PATH 
      ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules 
      ${CMAKE_MODULE_PATH}
      )

# CLHEP_BUILD_DOCS is OFF (false) by default
option(CLHEP_BUILD_DOCS "Build and install CLHEP documentation" OFF)
if(CLHEP_BUILD_DOCS)
  # backwards compatibility variable
  set(build_docs ON)
  message(STATUS "Enabled build and install of documents")
endif()

# CLHEP custom modules
include(ClhepCopyHeaders)
include(ClhepBuildTest)
include(ClhepBuildLibrary)
include(ClhepVariables)
include(CheckFunctionExists)
include(ClhepToolchain)

# because we want to move these libraries about,
# do not embed full path in shared libraries or executables
set(CMAKE_SKIP_RPATH)

ENABLE_TESTING()

# include search path
include_directories ("${PROJECT_BINARY_DIR}")
# add CLHEP/Random to search path so we find gaussTables.cdat
include_directories ("${CMAKE_SOURCE_DIR}/Random")

# Put all library build products in standard locations under build tree
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)

# define common flags
set( CMAKE_INCLUDE_PATH  ${CLHEP_BINARY_DIR} )

# set our preferred compiler flags
clhep_set_compiler_flags()

# the main CLHEP config script
clhep_config()

# check for required functions
CHECK_FUNCTION_EXISTS(drand48 found_drand48)

# all the packages
set( CLHEP_subdirs
        Units
	Utility
	Vector
	Evaluator
	GenericFunctions
	Geometry
        Random
	Matrix
	RandomObjects
	Cast
	RefCount
	Exceptions
	)

# The Units and Utility packages are just headers.
set( CLHEP_libraries
       Vector
       Evaluator
       GenericFunctions
       Geometry
       Random
       Matrix
       RandomObjects
       Cast
       RefCount
       Exceptions
       )

clhep_copy_headers( ${CLHEP_subdirs} )

add_subdirectory(Units)
add_subdirectory(Utility) 
add_subdirectory(Vector) 
add_subdirectory(Evaluator) 
add_subdirectory(GenericFunctions) 
add_subdirectory(Geometry) 
add_subdirectory(Random) 
add_subdirectory(Matrix) 
add_subdirectory(RandomObjects) 
add_subdirectory(Cast) 
add_subdirectory(RefCount) 
add_subdirectory(Exceptions)

# libCLHEP.a and libCLHEP.so
clhep_build_libclhep( ${CLHEP_libraries} )

# provide tools for other packages to include CLHEP easily
clhep_toolchain()

# Custom Packaging
include(ClhepPackaging)

=== GenericFunctions/GenericFunctions/CMakeLists.txt ===

set( pkginclude_HEADERS
			AbsFunctional.hh
			AbsFunction.hh
			Abs.hh
			AbsParameter.hh
			ACos.hh
			Airy.hh
			Airy.icc
			AnalyticConvolution.hh
			Argument.hh
			ArgumentList.hh
			ArrayFunction.hh
			ASin.hh
			AssociatedLaguerre.hh
			AssociatedLegendre.hh
			ATan.hh
			Bessel.hh
			Bessel.icc
			BetaDistribution.hh
			BivariateGaussian.hh
			ClassicalSolver.hh
			ConstMinusFunction.hh
			ConstMinusParameter.hh
			ConstOverFunction.hh
			ConstOverParameter.hh
			ConstPlusFunction.hh
			ConstPlusParameter.hh
			ConstTimesFunction.hh
			ConstTimesParameter.hh
			Cos.hh
			CumulativeChiSquare.hh
			CutBase.hh
			CutBase.icc
			DefiniteIntegral.hh
			DoubleParamToArgAdaptor.hh
			DoubleParamToArgAdaptor.icc
			EfficiencyFunctional.hh
			EllipticIntegral.hh
			EllipticIntegral.icc
			Erf.hh
			Exp.hh
			Exponential.hh
			FixedConstant.hh
			FloatingConstant.hh
			FourierFit.hh
			FourierFit.icc
			FunctionComposition.hh
			FunctionConvolution.hh
			FunctionDifference.hh
			FunctionDirectProduct.hh
			FunctionNegation.hh
			FunctionNoop.hh
			FunctionNumDeriv.hh
			FunctionPlusParameter.hh
			FunctionProduct.hh
			FunctionQuotient.hh
			FunctionSum.hh
			FunctionTimesParameter.hh
			GammaDistribution.hh
			Gamma.hh
			Gaussian.hh
			GenericFunctions.hh
			IncompleteGamma.hh
			InterpolatingPolynomial.hh
			KroneckerDelta.hh
			Landau.hh
			LegendreFit.hh
			LegendreFit.icc
			Legendre.hh
			Legendre.icc
			LikelihoodFunctional.hh
			Ln.hh
			LogGamma.hh
			LogisticFunction.hh
			Mod.hh
			NonrelativisticBW.hh
			ParameterComposition.hh
			ParameterDifference.hh
			Parameter.hh
			ParameterNegation.hh
			ParameterProduct.hh
			ParameterQuotient.hh
			ParameterSum.hh
			ParamToArgAdaptor.hh
			ParamToArgAdaptor.icc
			PeriodicRectangular.hh
			PhaseSpace.hh
			Power.hh
			Psi2Hydrogen.hh
			PtRelFcn.hh
			PuncturedSmearedExp.hh
			RCBase.hh
			Rectangular.hh
			RelativisticBW.hh
			ReverseExponential.hh
			RKIntegrator.hh
			RungeKuttaClassicalSolver.hh
			Sigma.hh
			Sin.hh
			SphericalBessel.hh
			SphericalBessel.icc
			SphericalHarmonicFit.hh
			SphericalHarmonicFit.icc
			SphericalNeumann.hh
			SphericalNeumann.icc
			Sqrt.hh
			Square.hh
			SymToArgAdaptor.hh
			SymToArgAdaptor.icc
			Tan.hh
			Theta.hh
			TrivariateGaussian.hh
			Variable.hh
			VoigtProfile.hh
			X.hh
			)

# notice that defs.h is not referenced here
INSTALL (FILES ${pkginclude_HEADERS}  
         DESTINATION include/CLHEP/GenericFunctions )

=== GenericFunctions/src/CMakeLists.txt ===
set( GenericFunctions_source
				      Abs.cc
				      AbsFunctional.cc
				      AbsFunction.cc
				      AbsParameter.cc
				      ACos.cc
				      AnalyticConvolution.cc
				      ArrayFunction.cc
				      ASin.cc
				      AssociatedLaguerre.cc
				      AssociatedLegendre.cc
				      ATan.cc
				      BetaDistribution.cc
				      BivariateGaussian.cc
				      ClassicalSolver.cc
				      ConstMinusFunction.cc
				      ConstMinusParameter.cc
				      ConstOverFunction.cc
				      ConstOverParameter.cc
				      ConstPlusFunction.cc
				      ConstPlusParameter.cc
				      ConstTimesFunction.cc
				      ConstTimesParameter.cc
				      Cos.cc
				      CumulativeChiSquare.cc
				      DefiniteIntegral.cc
				      EfficiencyFunctional.cc
				      Erf.cc
				      Exp.cc
				      Exponential.cc
				      FixedConstant.cc
				      FloatingConstant.cc
				      FunctionComposition.cc
				      FunctionConvolution.cc
				      FunctionDifference.cc
				      FunctionDirectProduct.cc
				      FunctionNegation.cc
				      FunctionNoop.cc
				      FunctionNumDeriv.cc
				      FunctionPlusParameter.cc
				      FunctionProduct.cc
				      FunctionQuotient.cc
				      FunctionSum.cc
				      FunctionTimesParameter.cc
				      Gamma.cc
				      GammaDistribution.cc
				      Gaussian.cc
				      IncompleteGamma.cc
				      InterpolatingPolynomial.cc
				      KroneckerDelta.cc
				      Landau.cc
				      LikelihoodFunctional.cc
				      Ln.cc
				      LogGamma.cc
				      LogisticFunction.cc
				      Mod.cc
				      NonrelativisticBW.cc
				      Parameter.cc
				      ParameterComposition.cc
				      ParameterDifference.cc
				      ParameterNegation.cc
				      ParameterProduct.cc
				      ParameterQuotient.cc
				      ParameterSum.cc
				      PeriodicRectangular.cc
				      PhaseSpace.cc
				      Power.cc
				      Psi2Hydrogen.cc
				      PtRelFcn.cc
				      PuncturedSmearedExp.cc
				      RCBase.cc
				      Rectangular.cc
				      RelativisticBW.cc
				      ReverseExponential.cc
				      RKIntegrator.cc
				      RungeKuttaClassicalSolver.cc
				      Sigma.cc
				      Sin.cc
				      Sqrt.cc
				      Square.cc
				      Tan.cc
				      Theta.cc
				      TrivariateGaussian.cc
				      Variable.cc
				      VoigtProfile.cc
				      X.cc
				      )

clhep_build_library( GenericFunctions ${GenericFunctions_source})

=== Random/doc/CMakeLists.txt ===
# install Random documentation

INSTALL (FILES Random.html
               validation.doc
	       JamesRandomSeeding.txt
	       html/CLHEP-random.html
               html/onSavingRandomStates.html
         DESTINATION doc/Random )

=== Units/doc/CMakeLists.txt ===
# build Units documentation

include(ClhepBuildTex)

clhep_latex( Units Units html.sty )

=== Utility/test/CMakeLists.txt ===

set( Utility_simple_tests testNoncopyable
			  testPrimaryTraits
			  testCategories
			  testIsSame
			  testIsConvertible
			  testSharedPtrBasic
			  testSharedPtrConvertible
			  testSharedPtr
			  testWeakPtr )

foreach ( test ${Utility_simple_tests} )
  clhep_test( ${test} SIMPLE NOLIB )
endforeach ( test ${Utility_simple_tests} )

=== debian/changelog ===
clhep (2.1.2.2-1) unstable; urgency=low

  * Initial release (Closes: #636972)

 -- Lifeng Sun <lifongsun@gmail.com>  Sat, 19 May 2012 21:14:40 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS :=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   :=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS :=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  :=$(shell dpkg-buildflags --get LDFLAGS)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j1  # parallel building fails
endif

export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS MAKEFLAGS

# package name
PKGNAME=$(strip $(shell head -n1 debian/changelog | cut -d' ' -f1))

# current Debian package version
DEBVER=$(strip $(shell head -n1 debian/changelog | cut -d' ' -f2 | tr -d '()'))

# current upstream version (remove any epoch and Debian release number)
UPVER=$(shell echo $(DEBVER) | sed -e 's/-[^-]*$$//' -e 's/^[^:]*://')

../$(PKGNAME)_$(UPVER).orig.tar.gz:
	dh_testdir
	./debian/get-orig-source --upstream-version $(UPVER) $@

get-orig-source: ../$(PKGNAME)_$(UPVER).orig.tar.gz

clean:
	dh_testdir
	rm -rf html
	rm -f doxygen.warnings
	dh_autoreconf_clean
	dh_auto_clean
	dh_clean

configure-stamp:
	dh_testdir
	dh_autoreconf
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
	touch $@

build-arch: configure-stamp
	dh_auto_build

build-indep: configure-stamp
	@echo 'Building documentation, this may take a while...'
	doxygen doxygen.conf
	touch $@

binary-arch: build-arch
	dh $@

binary-indep: build-indep
	dh $@

binary: binary-arch binary-indep

.PHONY: binary binary-indep binary-arch build build-doc install clean

## clhep 2.1.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 # project name
 project(CLHEP)
-set( VERSION 2.1.2.2 )
+set( VERSION 2.1.2.3 )
 
 set(CMAKE_MODULE_PATH 
       ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules

=== Cast/CMakeLists.txt ===
# main Cast cmake instructions

# automake/autoconf variables
set( PACKAGE Cast )

clhep_package_config()

add_subdirectory(Cast)
add_subdirectory(src)

=== RefCount/CMakeLists.txt ===
# main RefCount cmake instructions

# automake/autoconf variables
set( PACKAGE RefCount )

clhep_package_config()

add_subdirectory(RefCount)
add_subdirectory(src)

=== Utility/CMakeLists.txt ===
# main Utility cmake instructions

# automake/autoconf variables
set( PACKAGE Utility )

clhep_package_config_no_lib()

add_subdirectory(Utility)
add_subdirectory(test)

=== Cast/Cast/CMakeLists.txt ===

set( pkginclude_HEADERS itos.h )

# notice that defs.h is not referenced here
INSTALL (FILES ${pkginclude_HEADERS}  
         DESTINATION include/CLHEP/Cast )

=== Exceptions/Exceptions/CMakeLists.txt ===

set( pkginclude_HEADERS ZMerrno.h      
        		ZMerrno.icc    
        		ZMexAction.h   
        		ZMexClassInfo.h
        		ZMexClassInfo.icc
        		ZMexHandler.h  
        		ZMexHandler.icc
        		ZMexLogResult.h
        		ZMexLogger.h   
        		ZMexSeverity.h 
        		ZMexception.h  
        		ZMexception.icc
        		ZMthrow.h      
        		arch_spec_Exceptions.mk
        		link_Exceptions.mk )
 
# notice that defs.h is not referenced here
INSTALL (FILES ${pkginclude_HEADERS}  
         DESTINATION include/CLHEP/Exceptions )

=== GenericFunctions/GenericFunctions/CMakeLists.txt ===
--- 
+++ 
@@ -14,12 +14,14 @@
 			ASin.hh
 			AssociatedLaguerre.hh
 			AssociatedLegendre.hh
+			AssociatedLegendre.icc
 			ATan.hh
 			Bessel.hh
 			Bessel.icc
 			BetaDistribution.hh
 			BivariateGaussian.hh
 			ClassicalSolver.hh
+			ClebschGordanCoefficientSet.hh
 			ConstMinusFunction.hh
 			ConstMinusParameter.hh
 			ConstOverFunction.hh
@@ -57,14 +59,18 @@
 			FunctionQuotient.hh
 			FunctionSum.hh
 			FunctionTimesParameter.hh
+			Gamma.hh
 			GammaDistribution.hh
-			Gamma.hh
 			Gaussian.hh
 			GenericFunctions.hh
 			IncompleteGamma.hh
 			InterpolatingPolynomial.hh
 			KroneckerDelta.hh
 			Landau.hh
+			LegendreCoefficientSet.hh
+			LegendreCoefficientSet.icc
+			LegendreExpansion.hh
+			LegendreExpansion.icc
 			LegendreFit.hh
 			LegendreFit.icc
 			Legendre.hh
@@ -88,6 +94,7 @@
 			PhaseSpace.hh
 			Power.hh
 			Psi2Hydrogen.hh
+			Psi2Hydrogen.icc
 			PtRelFcn.hh
 			PuncturedSmearedExp.hh
 			RCBase.hh
@@ -102,6 +109,10 @@
 			SphericalBessel.icc
 			SphericalHarmonicFit.hh
 			SphericalHarmonicFit.icc
+			SphericalHarmonicExpansion.hh
+			SphericalHarmonicExpansion.icc
+			SphericalHarmonicCoefficientSet.hh
+			SphericalHarmonicCoefficientSet.icc
 			SphericalNeumann.hh
 			SphericalNeumann.icc
 			Sqrt.hh
@@ -116,6 +127,5 @@
 			X.hh
 			)
 
-# notice that defs.h is not referenced here
 INSTALL (FILES ${pkginclude_HEADERS}  
          DESTINATION include/CLHEP/GenericFunctions )

=== GenericFunctions/src/CMakeLists.txt ===
--- 
+++ 
@@ -8,11 +8,11 @@
 				      ArrayFunction.cc
 				      ASin.cc
 				      AssociatedLaguerre.cc
-				      AssociatedLegendre.cc
 				      ATan.cc
 				      BetaDistribution.cc
 				      BivariateGaussian.cc
 				      ClassicalSolver.cc
+				      ClebschGordanCoefficientSet.cc
 				      ConstMinusFunction.cc
 				      ConstMinusParameter.cc
 				      ConstOverFunction.cc
@@ -65,7 +65,6 @@
 				      PeriodicRectangular.cc
 				      PhaseSpace.cc
 				      Power.cc
-				      Psi2Hydrogen.cc
 				      PtRelFcn.cc
 				      PuncturedSmearedExp.cc
 				      RCBase.cc
@@ -86,4 +85,4 @@
 				      X.cc
 				      )
 
-clhep_build_library( GenericFunctions ${GenericFunctions_source})
+clhep_build_library( GenericFunctions ${GenericFunctions_source} )

=== GenericFunctions/test/CMakeLists.txt ===

clhep_test( testGenericFunctions )

=== Random/Random/CMakeLists.txt ===

set( pkginclude_HEADERS DoubConv.hh
			DRand48Engine.h
			DualRand.h
			EngineFactory.h
			engineIDulong.h
			Hurd160Engine.h
			Hurd288Engine.h
			JamesRandom.h
			MTwistEngine.h
			NonRandomEngine.h
			RandBinomial.h
			RandBinomial.icc
			RandBit.h
			RandBit.icc
			RandBreitWigner.h
			RandBreitWigner.icc
			RandChiSquare.h
			RandChiSquare.icc
			RandEngine.h
			RandExponential.h
			RandExponential.icc
			RandFlat.h
			RandFlat.icc
			RandGamma.h
			RandGamma.icc
			RandGauss.h
			RandGauss.icc
			RandGaussQ.h
			RandGaussQ.icc
			RandGaussT.h
			RandGaussT.icc
			RandGeneral.h
			RandGeneral.icc
			RandLandau.h
			RandLandau.icc
			RandomEngine.h
			RandomEngine.icc
			Random.h
			Random.icc
			Randomize.h
			RandomFunc.h
			RandPoisson.h
			RandPoisson.icc
			RandPoissonQ.h
			RandPoissonQ.icc
			RandPoissonT.h
			RandPoissonT.icc
			RandSkewNormal.h
			RandSkewNormal.icc
			RandStudentT.h
			RandStudentT.icc
			RanecuEngine.h
			Ranlux64Engine.h
			RanluxEngine.h
			RanshiEngine.h
			SeedTable.h
			Stat.h
			StaticRandomStates.h
			TripleRand.h )

# notice that defs.h is not referenced here
INSTALL (FILES ${pkginclude_HEADERS}  
         DESTINATION include/CLHEP/Random )

=== Random/src/CMakeLists.txt ===
# This include has been moved to the top CMakeLists.txt 
# add CLHEP/Random to search path so we find gaussTables.cdat
#include_directories ("${CMAKE_CURRENT_SOURCE_DIR}/..")

clhep_build_library( Random DoubConv.cc
			    DRand48Engine.cc
			    DualRand.cc
			    EngineFactory.cc
			    engineIDulong.cc
			    erfQ.cc
			    flatToGaussian.cc
			    gammln.cc
			    Hurd160Engine.cc
			    Hurd288Engine.cc
			    JamesRandom.cc
			    MTwistEngine.cc
			    NonRandomEngine.cc
			    RandBinomial.cc
			    RandBit.cc
			    RandBreitWigner.cc
			    RandChiSquare.cc
			    RandEngine.cc
			    RandExponential.cc
			    RandFlat.cc
			    RandGamma.cc
			    RandGauss.cc
			    RandGaussQ.cc
			    RandGaussT.cc
			    RandGeneral.cc
			    RandLandau.cc
			    Random.cc
			    RandomEngine.cc
			    RandPoisson.cc
			    RandPoissonQ.cc
			    RandPoissonT.cc
			    RandSkewNormal.cc
			    RandStudentT.cc
			    RanecuEngine.cc
			    Ranlux64Engine.cc
			    RanluxEngine.cc
			    RanshiEngine.cc
			    StaticRandomStates.cc
			    TripleRand.cc )

=== Random/test/CMakeLists.txt ===

set( Random_tests  testRandom
                   testRandDists )
if( ${CMAKE_SYSTEM_NAME} MATCHES "Windows" )
set( Random_simple_tests testSaveEngineStatus 
			 testInstanceRestore 
			 testSaveSharedEngines
			 testStaticStreamSave 
			 testAnonymousEngineRestore 
			 testVectorSave
			 testBug73093 
			 testEngineCopy 
			 testDistCopy 
			 testRanecuSequence )
else()
set( Random_simple_tests testSaveEngineStatus 
			 testInstanceRestore 
			 testSaveSharedEngines
			 testStaticStreamSave 
			 testAnonymousEngineRestore 
			 testVectorSave
			 testBug58950 
			 testBug73093 
			 testEngineCopy 
			 testDistCopy 
			 testRanecuSequence )
endif()

foreach ( test ${Random_tests} )
  clhep_test( ${test} )
endforeach ( test ${Random_tests} )

foreach ( test ${Random_simple_tests} )
  clhep_test( ${test} SIMPLE )
endforeach ( test ${Random_simple_tests} )

=== debian/changelog ===
clhep (2.1.2.3-1) unstable; urgency=low

  * New upstream.
  * Support "parallel" option of DEB_BUILD_OPTIONS.
  * debian/watch: support --destdir option of uscan. Thanks to Daniel
    Leidert <daniel.leidert@wgdd.de>

 -- Lifeng Sun <lifongsun@gmail.com>  Wed, 13 Jun 2012 20:04:32 +0800

=== debian/control ===
Source: clhep
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Lifeng Sun <lifongsun@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), dh-autoreconf, doxygen
Standards-Version: 3.9.3
Homepage: http://proj-clhep.web.cern.ch/proj-clhep/
Vcs-Git: git://git.debian.org/git/debian-science/packages/clhep.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/clhep.git;a=summary

Package: libclhep2.1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CLHEP: A Class Library for High Energy Physics
 CLHEP provides a set of HEP-specific foundation and utility classes such
 as random generators, physics vectors, geometry and linear algebra.
 .
 This package provides run-time library of CLHEP.

Package: libclhep-dev
Architecture: any
Section: libdevel
Depends: libclhep2.1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: clhep-doc
Description: CLHEP: A Class Library for High Energy Physics - development
 CLHEP provides a set of HEP-specific foundation and utility classes such
 as random generators, physics vectors, geometry and linear algebra.
 .
 This package provides development files of CLHEP.

Package: clhep-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: Documentation of CLHEP
 CLHEP provides a set of HEP-specific foundation and utility classes such
 as random generators, physics vectors, geometry and linear algebra.
 .
 This package provides HTML documentation of CLHEP.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,4 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -17,8 +11,9 @@
 LDFLAGS  :=$(shell dpkg-buildflags --get LDFLAGS)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	MAKEFLAGS += -j1  # parallel building fails
+	NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+else
+	NUMJOBS := 1
 endif
 
 export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS MAKEFLAGS
@@ -49,13 +44,17 @@
 configure-stamp:
 	dh_testdir
 	dh_autoreconf
-	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- \
+		--prefix=/usr \
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 	touch $@
 
 build-arch: configure-stamp
-	dh_auto_build
+	dh_testdir
+	$(MAKE) -j$(NUMJOBS)
 
 build-indep: configure-stamp
+	dh_testdir
 	@echo 'Building documentation, this may take a while...'
 	doxygen doxygen.conf
 	touch $@

=== debian/watch ===
version=3

http://proj-clhep.web.cern.ch/proj-clhep/DISTRIBUTION/index.html tarFiles/clhep-([\d.]+)\.tgz debian ./debian/get-orig-source

## clhep 2.1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #        [-DCMAKE_BUILD_TYPE=Debug|Release|RelWithDebInfo|MinSizeRel]
 #        [-DCMAKE_C_COMPILER=...] [-DCMAKE_CXX_COMPILER=...]
 #        [-DCLHEP_BUILD_DOCS=ON] 
+#        [-DLIB_SUFFIX=64]
 #        /path/to/source
 #  make
 #  make test
@@ -11,6 +12,9 @@
 #
 # mac i386:   -DCMAKE_CXX_FLAGS="-m32" -DCMAKE_OSX_ARCHITECTURES="i386"
 # mac x86_64: -DCMAKE_CXX_FLAGS="-m64" -DCMAKE_OSX_ARCHITECTURES="x86_64"
+#
+# Use -DLIB_SUFFIX=64 to install the libraries in a lib64 subdirectory
+# instead of the default lib subdirectory.  
 #
 # The default CLHEP build type is CMAKE_BUILD_TYPE=RelWithDebInfo,
 # which matches the default CLHEP autoconf flags
@@ -25,7 +29,7 @@
 
 # project name
 project(CLHEP)
-set( VERSION 2.1.2.3 )
+set( VERSION 2.1.3.1 )
 
 set(CMAKE_MODULE_PATH 
       ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules 
@@ -40,11 +44,14 @@
   message(STATUS "Enabled build and install of documents")
 endif()
 
+# enable use of LIB_SUFFIX
+include(ClhepVariables)
+clhep_lib_suffix()
+
 # CLHEP custom modules
 include(ClhepCopyHeaders)
 include(ClhepBuildTest)
 include(ClhepBuildLibrary)
-include(ClhepVariables)
 include(CheckFunctionExists)
 include(ClhepToolchain)

=== debian/changelog ===
clhep (2.1.3.1-1ubuntu1) trusty; urgency=low

  * Fix FTBFS: fatal: making test-suite.log: failed to create testBug7328.trsc
    on amd64 by explicitly adding testBug7328 to TESTS in Makefile.am
    (Closes: #713377, LP: #1251844)

 -- Andreas Moog <amoog@ubuntu.com>  Mon, 18 Nov 2013 21:40:23 +0100

clhep (2.1.3.1-1) unstable; urgency=low

  * Upload to sid.

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 06 May 2013 11:58:52 +0800

clhep (2.1.3.1-1~exp1) experimental; urgency=low

  * New upstream.

 -- Lifeng Sun <lifongsun@gmail.com>  Fri, 16 Nov 2012 14:46:08 +0800

clhep (2.1.3.0-1~exp1) experimental; urgency=low

  * New upstream.

 -- Lifeng Sun <lifongsun@gmail.com>  Sun, 11 Nov 2012 16:45:04 +0800

clhep (2.1.2.5-1~exp1) experimental; urgency=low

  * New upstream.

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 02 Oct 2012 21:06:18 +0800

clhep (2.1.2.4-1~exp1) experimental; urgency=low

  * New upstream.
  * debian/rules: change to tiny-style.

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 10 Jul 2012 16:49:02 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: clhep
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Lifeng Sun <lifongsun@gmail.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9), dh-autoreconf, doxygen

## clhep 2.1.4.1

=== Evaluator/src/CMakeLists.txt ===

clhep_build_library ( Evaluator Evaluator.cc
				setStdMath.cc
				setSystemOfUnits.cc )

=== Exceptions/src/CMakeLists.txt ===

clhep_build_library( Exceptions ZMerrno.cc
				ZMexClassInfo.cc
				ZMexHandler.cc
				ZMexLogger.cc
				ZMexSeverity.cc
				ZMexception.cc
				ZMthrow.cc )

=== GenericFunctions/GenericFunctions/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 			Abs.hh
 			AbsParameter.hh
 			ACos.hh
+			AdaptiveRKStepper.hh
 			Airy.hh
 			Airy.icc
 			AnalyticConvolution.hh
@@ -20,6 +21,8 @@
 			Bessel.icc
 			BetaDistribution.hh
 			BivariateGaussian.hh
+			ButcherTableau.hh
+			ButcherTableau.icc
 			ClassicalSolver.hh
 			ClebschGordanCoefficientSet.hh
 			ConstMinusFunction.hh
@@ -40,9 +43,12 @@
 			EfficiencyFunctional.hh
 			EllipticIntegral.hh
 			EllipticIntegral.icc
+			EmbeddedRKStepper.hh
 			Erf.hh
 			Exp.hh
 			Exponential.hh
+			ExtendedButcherTableau.hh
+			ExtendedButcherTableau.icc
 			FixedConstant.hh
 			FloatingConstant.hh
 			FourierFit.hh
@@ -59,8 +65,8 @@
 			FunctionQuotient.hh
 			FunctionSum.hh
 			FunctionTimesParameter.hh
+			GammaDistribution.hh
 			Gamma.hh
-			GammaDistribution.hh
 			Gaussian.hh
 			GenericFunctions.hh
 			IncompleteGamma.hh
@@ -104,19 +110,21 @@
 			RKIntegrator.hh
 			RungeKuttaClassicalSolver.hh
 			Sigma.hh
+			SimpleRKStepper.hh
 			Sin.hh
 			SphericalBessel.hh
 			SphericalBessel.icc
+			SphericalHarmonicCoefficientSet.hh
+			SphericalHarmonicCoefficientSet.icc
+			SphericalHarmonicExpansion.hh
+			SphericalHarmonicExpansion.icc
 			SphericalHarmonicFit.hh
 			SphericalHarmonicFit.icc
-			SphericalHarmonicExpansion.hh
-			SphericalHarmonicExpansion.icc
-			SphericalHarmonicCoefficientSet.hh
-			SphericalHarmonicCoefficientSet.icc
 			SphericalNeumann.hh
 			SphericalNeumann.icc
 			Sqrt.hh
 			Square.hh
+			StepDoublingRKStepper.hh
 			SymToArgAdaptor.hh
 			SymToArgAdaptor.icc
 			Tan.hh

=== GenericFunctions/doc/CMakeLists.txt ===
# build GenericFunctions documentation

include(ClhepBuildTex)

clhep_latex( GenericFunctions genericFunctions example.ps
        				       hydrogen.ps
					       PartiallyClosed.ps
					       TotallyClosed.ps
					       WideOpen.ps
					       psfig.sty )

=== Matrix/test/CMakeLists.txt ===

# add -D needed by testInversion
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DINSTALLATION_CHECK")

set( Matrix_tests testMatrix 
                  testInversion
	          testBug6176 )

# leak test (bug 7328) does not work on MacOSX or DOS
if( ${CMAKE_SYSTEM_NAME} MATCHES "Darwin" )
  set( Matrix_simple_tests testBug6181 )
elseif( ${CMAKE_SYSTEM_NAME} MATCHES "Windows" )
  set( Matrix_simple_tests testBug6181 )
else()
  set( Matrix_simple_tests testBug6181
                           testBug7328 )
endif()

foreach ( test ${Matrix_tests} )
  clhep_test( ${test} )
endforeach ( test ${Matrix_tests} )

foreach ( test ${Matrix_simple_tests} )
  clhep_test( ${test} SIMPLE )
endforeach ( test ${Matrix_simple_tests} )

=== RandomObjects/src/CMakeLists.txt ===


clhep_build_library( RandomObjects RandMultiGauss.cc
	                           RandomVector.cc )

=== Vector/doc/CMakeLists.txt ===
# build Vector documentation

include(ClhepBuildTex)

clhep_latex( Vector eulerAngleComputation )
clhep_latex( Vector VectorDefs )


INSTALL (FILES keyMergeIssues.doc
               merge-details.doc
	       minorMergeIssues.doc
         DESTINATION doc/Vector )

=== Vector/test/CMakeLists.txt ===

set( Vector_tests testThreeVector 
                  testLorentzVector )
set( Vector_simple_tests testRotation 
		         testSubscripts )

foreach ( test ${Vector_tests} )
  clhep_test( ${test} )
endforeach ( test ${Vector_tests} )

foreach ( test ${Vector_simple_tests} )
  clhep_test( ${test} SIMPLE )
endforeach ( test ${Vector_simple_tests} )

=== debian/changelog ===
clhep (2.1.4.1-1.1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Aug 2015 11:53:40 +0000

clhep (2.1.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix broken double comparision in a testcase. (Closes: #733301)

 -- Philipp Kern <pkern@debian.org>  Fri, 25 Apr 2014 23:56:31 +0200

clhep (2.1.4.1-1) unstable; urgency=low

  * New upstream release. (Closes: #713377)
  * Bump Standards-Version to 3.9.4.
  * Remove obsolte DM-Upload-Allowed field.
  * Canonical VCS-* fields.

 -- Lifeng Sun <lifongsun@gmail.com>  Sat, 14 Dec 2013 16:33:36 +0800

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Lifeng Sun <lifongsun@gmail.com>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9), dh-autoreconf, doxygen
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://proj-clhep.web.cern.ch/proj-clhep/
-Vcs-Git: git://git.debian.org/git/debian-science/packages/clhep.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/clhep.git;a=summary
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/clhep.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/clhep.git;a=summary
 
-Package: libclhep2.1
+Package: libclhep2.1v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libclhep2.1
+Replaces: libclhep2.1
 Description: CLHEP: A Class Library for High Energy Physics
  CLHEP provides a set of HEP-specific foundation and utility classes such
  as random generators, physics vectors, geometry and linear algebra.
@@ -25,7 +26,7 @@
 Package: libclhep-dev
 Architecture: any
 Section: libdevel
-Depends: libclhep2.1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libclhep2.1v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: clhep-doc
 Description: CLHEP: A Class Library for High Energy Physics - development
  CLHEP provides a set of HEP-specific foundation and utility classes such

## clhep 2.1.4.1%2Bdfsg

=== debian/changelog ===
clhep (2.1.4.1+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:02:24 +0100

clhep (2.1.4.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload
  * Replace psfig by graphicx
    Closes: #820797
  * DEP5 copyright to enable using Files-Excluded: */psfig.sty

 -- Ole Streicher <olebole@debian.org>  Tue, 07 Feb 2017 12:01:31 +0100

clhep (2.1.4.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791001).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:33:27 +0200

## clhep 2.1.4.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #  cmake [-DCMAKE_INSTALL_PREFIX=/install/path] 
 #        [-DCMAKE_BUILD_TYPE=Debug|Release|RelWithDebInfo|MinSizeRel]
 #        [-DCMAKE_C_COMPILER=...] [-DCMAKE_CXX_COMPILER=...]
-#        [-DCLHEP_BUILD_DOCS=ON] 
+#        [-DCLHEP_BUILD_DOCS=ON]
 #        [-DLIB_SUFFIX=64]
 #        /path/to/source
 #  make
@@ -29,7 +29,7 @@
 
 # project name
 project(CLHEP)
-set( VERSION 2.1.3.1 )
+set( VERSION 2.1.4.1 )
 
 set(CMAKE_MODULE_PATH 
       ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules

=== Random/CMakeLists.txt ===
# main Random cmake instructions

# automake/autoconf variables
set( PACKAGE Random )

clhep_package_config()

add_subdirectory(Random)
add_subdirectory(src)
add_subdirectory(test)
if ( CLHEP_BUILD_DOCS )
  message(STATUS "building documents for ${PACKAGE}" )
  add_subdirectory(doc)
endif()

=== Units/CMakeLists.txt ===
# main Units cmake instructions

# automake/autoconf variables
set( PACKAGE Units )

clhep_package_config_no_lib()

add_subdirectory(Units)
add_subdirectory(test)
if ( CLHEP_BUILD_DOCS )
  message(STATUS "building documents for ${PACKAGE}" )
  add_subdirectory(doc)
endif()

=== Evaluator/Evaluator/CMakeLists.txt ===

set( pkginclude_HEADERS Evaluator.h )

# notice that defs.h is not referenced here
INSTALL (FILES ${pkginclude_HEADERS}  
         DESTINATION include/CLHEP/Evaluator )

=== Exceptions/doc/CMakeLists.txt ===
# install Exceptions documentation

INSTALL (FILES ex-design-1
	       ex-design-2
	       ex-design-3
	       ex-design-5
	       ex-design-6
	       HepTuple-exceptions
	       how-ZMxTop-is-setup
	       mechanics_ZMx.txt
	       m-pcanal-1
	       m-pcanal-2
	       m-pcanal-3
	       reply-pcanal-1
	       reply-pcanal-2
	       whyZMthrowRethrows.txt
	       ZMthrow_event_sequence.txt
         DESTINATION doc/Exceptions )

=== GenericFunctions/src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 				      AbsFunction.cc
 				      AbsParameter.cc
 				      ACos.cc
+				      AdaptiveRKStepper.cc
 				      AnalyticConvolution.cc
 				      ArrayFunction.cc
 				      ASin.cc
@@ -25,6 +26,7 @@
 				      CumulativeChiSquare.cc
 				      DefiniteIntegral.cc
 				      EfficiencyFunctional.cc
+				      EmbeddedRKStepper.cc
 				      Erf.cc
 				      Exp.cc
 				      Exponential.cc
@@ -74,9 +76,11 @@
 				      RKIntegrator.cc
 				      RungeKuttaClassicalSolver.cc
 				      Sigma.cc
+				      SimpleRKStepper.cc
 				      Sin.cc
 				      Sqrt.cc
 				      Square.cc
+				      StepDoublingRKStepper.cc
 				      Tan.cc
 				      Theta.cc
 				      TrivariateGaussian.cc

=== Geometry/src/CMakeLists.txt ===

clhep_build_library( Geometry BasicVector3D.cc
			      Normal3D.cc
			      Plane3D.cc
			      Point3D.cc
			      Transform3D.cc
			      Vector3D.cc )

=== Geometry/test/CMakeLists.txt ===

clhep_test( testBasicVector3D )
clhep_test( testBug6740 SIMPLE )

=== Matrix/Matrix/CMakeLists.txt ===

set( pkginclude_HEADERS DiagMatrix.h   
			DiagMatrix.icc 
			GenMatrix.h    
			GenMatrix.icc  
			Matrix.h       
			Matrix.icc     
			Pile.h         
			SymMatrix.h    
			SymMatrix.icc  
			Vector.h       
			Vector.icc )


# notice that defs.h is not referenced here
INSTALL (FILES ${pkginclude_HEADERS}  
         DESTINATION include/CLHEP/Matrix )

=== Matrix/src/CMakeLists.txt ===

clhep_build_library( Matrix DiagMatrix.cc
			    GenMatrix.cc
			    Matrix.cc
			    MatrixEqRotation.cc
			    MatrixInvert.cc
			    MatrixLinear.cc
			    SymMatrix.cc
			    SymMatrixInvert.cc
			    Vector.cc )

=== Random/Random/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 			RandEngine.h
 			RandExponential.h
 			RandExponential.icc
+			RandExpZiggurat.h
 			RandFlat.h
 			RandFlat.icc
 			RandGamma.h
@@ -30,6 +31,7 @@
 			RandGaussQ.icc
 			RandGaussT.h
 			RandGaussT.icc
+			RandGaussZiggurat.h
 			RandGeneral.h
 			RandGeneral.icc
 			RandLandau.h

=== Random/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,3 @@
-# This include has been moved to the top CMakeLists.txt 
-# add CLHEP/Random to search path so we find gaussTables.cdat
-#include_directories ("${CMAKE_CURRENT_SOURCE_DIR}/..")
 
 clhep_build_library( Random DoubConv.cc
 			    DRand48Engine.cc
@@ -21,11 +18,13 @@
 			    RandChiSquare.cc
 			    RandEngine.cc
 			    RandExponential.cc
+			    RandExpZiggurat.cc
 			    RandFlat.cc
 			    RandGamma.cc
 			    RandGauss.cc
 			    RandGaussQ.cc
 			    RandGaussT.cc
+			    RandGaussZiggurat.cc
 			    RandGeneral.cc
 			    RandLandau.cc
 			    Random.cc

=== debian/changelog ===
clhep (2.1.4.1+dfsg-1.2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:49:37 +0000

clhep (2.1.4.1+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062077

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 16:00:23 +0000

clhep (2.1.4.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Reiner Herrmann ]
  * getObjectList.in: Sort file list to get reproducible results
    (Closes: #794398)

  [ Vagrant Cascadian ]
  * debian/rules: Avoid embedding the build path in clhep-config.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 22 Dec 2022 13:06:15 -0800

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,22 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Lifeng Sun <lifongsun@gmail.com>
-Build-Depends: debhelper (>= 9), dh-autoreconf, doxygen
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 9), dh-autoreconf, doxygen
 Standards-Version: 3.9.4
 Homepage: http://proj-clhep.web.cern.ch/proj-clhep/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/clhep.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/clhep.git;a=summary
 
-Package: libclhep2.1v5
+Package: libclhep2.1t64
+Provides: ${t64:Provides}
+X-Time64-Compat: libclhep2.1v5
+Breaks: libclhep2.1v5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libclhep2.1
-Replaces: libclhep2.1
+Replaces: libclhep2.1v5, libclhep2.1
 Description: CLHEP: A Class Library for High Energy Physics
  CLHEP provides a set of HEP-specific foundation and utility classes such
  as random generators, physics vectors, geometry and linear algebra.
@@ -26,7 +29,7 @@
 Package: libclhep-dev
 Architecture: any
 Section: libdevel
-Depends: libclhep2.1v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libclhep2.1t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: clhep-doc
 Description: CLHEP: A Class Library for High Energy Physics - development
  CLHEP provides a set of HEP-specific foundation and utility classes such

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS :=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   :=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS :=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  :=$(shell dpkg-buildflags --get LDFLAGS)

export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS MAKEFLAGS

dhopt := 

ifneq (hurd-i386,$(shell dpkg-architecture -qDEB_BUILD_ARCH))
dhopt := --parallel
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf html
	rm -f doxygen.warnings

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build-indep:
	dh_auto_build
	doxygen doxygen.conf

override_dh_install:
	# Avoid embedding build path for reproducible builds
	sed -i -e "s,$(CURDIR),BUILDDIR,g" debian/tmp/usr/bin/clhep-config
	dh_install

%:
	dh $@ --with autoreconf $(dhopt)

## clhep 2.4.7.1

=== debian/changelog ===
clhep (2.4.7.1-2) unstable; urgency=medium

  * Team upload.
  * Work around build time test issue on 32bit architectures
  * Seems upstream has fixed build system
    Closes: #1105293

 -- Andreas Tille <tille@debian.org>  Sun, 23 Nov 2025 10:32:03 +0100

clhep (2.4.7.1-1) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * New upstream version
  * Enable multiarch installation
  * Define SOVERSION, drop version number from library name
  * Use d-shlibs
  * Fix watch file, version=5
  * Standards-Version: 4.7.2 (routine-update)
  * Lintian-overrides library-not-linked-against-libc
  * Uploaders list is fixed (Closes: #925016)
  * Fix clean target
    Closes: #1044109

  [ Stephan Lachnit ]
  * Fix documentation installation folder

 -- Andreas Tille <tille@debian.org>  Sat, 22 Nov 2025 20:47:38 +0100

=== debian/control ===
Source: clhep
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.22.5),
               d-shlibs,
               dh-exec,
               cmake,
               ninja-build,
               doxygen,
               texlive-latex-base,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://proj-clhep.web.cern.ch/proj-clhep/
Vcs-Git: https://salsa.debian.org/science-team/clhep.git
Vcs-Browser: https://salsa.debian.org/science-team/clhep

Package: libclhep2.1t64
Provides: ${t64:Provides}
X-Time64-Compat: libclhep2.1v5
Breaks: libclhep2.1v5 (<< ${source:Version})
Replaces: libclhep2.1v5, libclhep2.1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Class Library for High Energy Physics
 CLHEP provides a set of HEP-specific foundation and utility classes such
 as random generators, physics vectors, geometry and linear algebra.
 .
 This package provides the libraries of CLHEP.

Package: libclhep-dev
Architecture: any
Section: libdevel
Depends: libclhep2.1t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: clhep-doc
Description: Class Library for High Energy Physics - development files
 CLHEP provides a set of HEP-specific foundation and utility classes such
 as random generators, physics vectors, geometry and linear algebra.
 .
 This package provides the development files of CLHEP.

Package: clhep-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Class Library for High Energy Physics - documentation
 CLHEP provides a set of HEP-specific foundation and utility classes such
 as random generators, physics vectors, geometry and linear algebra.
 .
 This package provides the documentation of CLHEP.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@  --sourcedirectory=CLHEP --buildsystem=cmake+ninja

override_dh_clean:
	dh_clean
	find . -name "*.report" -delete
	find . -name "*.cout" -delete
	find . -name "*.seq" -delete
	find . -name "Config.conf" -delete

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCLHEP_BUILD_DOCS=ON

override_dh_install:
	# Avoid embedding build path for reproducible builds
	sed -i -e "s,$(CURDIR),BUILDDIR,g" debian/tmp/usr/bin/clhep-config
	dh_install
	# FIXME: Something went wrong when installing to debian/tmp/usr/lib ... move again manually
	rm debian/tmp/usr/lib/libCLHEP.a debian/tmp/usr/lib/libCLHEP.so
	cp -a obj-*/lib/libCLHEP.a debian/tmp/usr/lib/
	cp -a obj-*/lib/libCLHEP.so debian/tmp/usr/lib/
	d-shlibmove --commit \
	            --multiarch \
	            --devunversioned \
	            --exclude-la \
	            --movedev debian/tmp/usr/include/CLHEP usr/include \
	            --movedev "debian/tmp/usr/lib/pkgconfig" usr/lib/$(DEB_HOST_MULTIARCH)/ \
	            debian/tmp/usr/lib/libCLHEP.so
	find debian -name "lib*.la" -delete

=== debian/watch ===
Version: 5

Source: https://proj-clhep.web.cern.ch/proj-clhep/clhep23.html
Matching-Pattern: dist1/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
